## yt-dlp 2021.10.10

=== Makefile ===
all: yt-dlp doc pypi-files
clean: clean-test clean-dist clean-cache
completions: completion-bash completion-fish completion-zsh
doc: README.md CONTRIBUTING.md issuetemplates supportedsites
ot: offlinetest
tar: yt-dlp.tar.gz

# Keep this list in sync with MANIFEST.in
# intended use: when building a source distribution,
# make pypi-files && python setup.py sdist
pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites completions yt-dlp.1 devscripts/* test/*

.PHONY: all clean install test tar pypi-files completions ot offlinetest codetest supportedsites

clean-test:
	rm -rf *.3gp *.annotations.xml *.ape *.avi *.description *.dump *.flac *.flv *.frag *.frag.aria2 *.frag.urls \
	*.info.json *.jpeg *.jpg *.live_chat.json *.m4a *.m4v *.mkv *.mp3 *.mp4 *.ogg *.opus *.part* *.png *.sbv *.srt \
	*.swf *.swp *.ttml *.vtt *.wav *.webm *.webp *.ytdl test/testdata/player-*.js
clean-dist:
	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS .mailmap
clean-cache:
	find . -name "*.pyc" -o -name "*.class" -delete

completion-bash: completions/bash/yt-dlp
completion-fish: completions/fish/yt-dlp.fish
completion-zsh: completions/zsh/_yt-dlp
lazy-extractors: yt_dlp/extractor/lazy_extractors.py

PREFIX ?= /usr/local
DESTDIR ?= .
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
# make_supportedsites.py doesnot work correctly in python2
PYTHON ?= /usr/bin/env python3

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
SYSCONFDIR = $(shell if [ $(PREFIX) = /usr -o $(PREFIX) = /usr/local ]; then echo /etc; else echo $(PREFIX)/etc; fi)

# set markdown input format to "markdown-smart" for pandoc version 2 and to "markdown" for pandoc prior to version 2
MARKDOWN = $(shell if [ `pandoc -v | head -n1 | cut -d" " -f2 | head -c1` = "2" ]; then echo markdown-smart; else echo markdown; fi)

install: yt-dlp yt-dlp.1 completions
	install -Dm755 yt-dlp $(DESTDIR)$(BINDIR)
	install -Dm644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1
	install -Dm644 completions/bash/yt-dlp $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	install -Dm644 completions/zsh/_yt-dlp $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	install -Dm644 completions/fish/yt-dlp.fish $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

codetest:
	flake8 .

test:
	$(PYTHON) -m pytest
	$(MAKE) codetest

offlinetest: codetest
	$(PYTHON) -m pytest -k "not download"

yt-dlp: yt_dlp/*.py yt_dlp/*/*.py
	mkdir -p zip
	for d in yt_dlp yt_dlp/downloader yt_dlp/extractor yt_dlp/postprocessor ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	touch -t 200001010101 zip/yt_dlp/*.py zip/yt_dlp/*/*.py
	mv zip/yt_dlp/__main__.py zip/
	cd zip ; zip -q ../yt-dlp yt_dlp/*.py yt_dlp/*/*.py __main__.py
	rm -rf zip
	echo '#!$(PYTHON)' > yt-dlp
	cat yt-dlp.zip >> yt-dlp
	rm yt-dlp.zip
	chmod a+x yt-dlp

README.md: yt_dlp/*.py yt_dlp/*/*.py
	COLUMNS=80 $(PYTHON) yt_dlp/__main__.py --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.md .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.md .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.md .github/ISSUE_TEMPLATE_tmpl/4_bug_report.md .github/ISSUE_TEMPLATE_tmpl/5_feature_request.md yt_dlp/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.md .github/ISSUE_TEMPLATE/1_broken_site.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.md .github/ISSUE_TEMPLATE/2_site_support_request.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.md .github/ISSUE_TEMPLATE/3_site_feature_request.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.md .github/ISSUE_TEMPLATE/4_bug_report.md
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.md .github/ISSUE_TEMPLATE/5_feature_request.md

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

yt-dlp.1: README.md
	$(PYTHON) devscripts/prepare_manpage.py yt-dlp.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man yt-dlp.1.temp.md -o yt-dlp.1
	rm -f yt-dlp.1.temp.md

completions/bash/yt-dlp: yt_dlp/*.py yt_dlp/*/*.py devscripts/bash-completion.in
	mkdir -p completions/bash
	$(PYTHON) devscripts/bash-completion.py

completions/zsh/_yt-dlp: yt_dlp/*.py yt_dlp/*/*.py devscripts/zsh-completion.in
	mkdir -p completions/zsh
	$(PYTHON) devscripts/zsh-completion.py

completions/fish/yt-dlp.fish: yt_dlp/*.py yt_dlp/*/*.py devscripts/fish-completion.in
	mkdir -p completions/fish
	$(PYTHON) devscripts/fish-completion.py

_EXTRACTOR_FILES = $(shell find yt_dlp/extractor -iname '*.py' -and -not -iname 'lazy_extractors.py')
yt_dlp/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

yt-dlp.tar.gz: all
	@tar -czf $(DESTDIR)/yt-dlp.tar.gz --transform "s|^|yt-dlp/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.git' \
		-- \
		README.md supportedsites.md Changelog.md LICENSE \
		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
		Makefile MANIFEST.in yt-dlp.1 README.txt completions \
		setup.py setup.cfg yt-dlp yt_dlp requirements.txt \
		devscripts test tox.ini pytest.ini

AUTHORS: .mailmap
	git shortlog -s -n | cut -f2 | sort > AUTHORS

.mailmap:
	git shortlog -s -e -n | awk '!(out[$$NF]++) { $$1="";sub(/^[ \t]+/,""); print}' > .mailmap

=== debian/changelog ===
yt-dlp (2021.10.10-1~mx21+4) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop dmo branding.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 21 Oct 2021 15:17:48 -0700

yt-dlp-dmo (2021.10.10-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove francetv patch (tested this time).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Oct 2021 08:49:54 +0200

yt-dlp-dmo (2021.10.09-dmo2) unstable; urgency=medium

  * Restore francetv patch. This patch has been applied upstream after this
    release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Oct 2021 02:32:40 +0200

yt-dlp-dmo (2021.10.09-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove francetv patch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Oct 2021 01:56:50 +0200

yt-dlp-dmo (2021.09.25-dmo2) unstable; urgency=medium

  * Add upstream patch from PR #1096 to fix francetv extractor.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Oct 2021 13:11:00 +0200

yt-dlp-dmo (2021.09.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Sep 2021 07:25:00 +0200

yt-dlp-dmo (2021.09.02-dmo2) unstable; urgency=medium

  * Minimum python version is 3.8 (Doesn't work with python 3.7 under
    oldstable (buster).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Sep 2021 18:09:49 +0200

yt-dlp-dmo (2021.09.02-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Sep 2021 08:39:41 +0200

yt-dlp-dmo (2021.08.10-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Aug 2021 20:22:57 +0200

=== debian/control ===
Source: yt-dlp
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Homepage: https://github.com/yt-dlp/yt-dlp
Rules-Requires-Root: no
X-Python3-Version: >= 3.6
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flake8 <!nocheck>,
               pandoc,
               python3 (>= 3.6~),
               python3-nose <!nocheck>,
               python3-pkg-resources,
               python3-pycryptodome,
               python3-pytest,
               python3-setuptools,
               zip

Package: yt-dlp
Architecture: all
Depends: aria2 | wget | curl,
         ca-certificates,
         ffmpeg,
         python3-pkg-resources,
         python3-pycryptodome,
         python3-pyxattr,
         rtmpdump,
         ${misc:Depends},
         ${python3:Depends}
Recommends: mpv | mplayer
Suggests: libfribidi-bin | bidiv, phantomjs
Provides: youtube-dl
Replaces: youtube-dl
Breaks: youtube-dl (<< 2021.07)
Description: youtube-dl fork with additional features and fixes
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = yt_dlp

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	PREFIX=/usr SYSCONFDIR=/etc make

#	mv Makefile Makefile.inactive

#	rm yt_dlp

override_dh_clean:
#	test -f Makefile || mv Makefile.inactive Makefile
	make clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make offlinetest PYTHON=python3
endif

=== debian/watch ===
version=4

https://github.com/yt-dlp/yt-dlp/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## yt-dlp 2021.10.22

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all: yt-dlp doc pypi-files
+all: lazy-extractors yt-dlp doc pypi-files
 clean: clean-test clean-dist clean-cache
 completions: completion-bash completion-fish completion-zsh
 doc: README.md CONTRIBUTING.md issuetemplates supportedsites
@@ -40,9 +40,9 @@
 # set markdown input format to "markdown-smart" for pandoc version 2 and to "markdown" for pandoc prior to version 2
 MARKDOWN = $(shell if [ `pandoc -v | head -n1 | cut -d" " -f2 | head -c1` = "2" ]; then echo markdown-smart; else echo markdown; fi)
 
-install: yt-dlp yt-dlp.1 completions
-	install -Dm755 yt-dlp $(DESTDIR)$(BINDIR)
-	install -Dm644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1
+install: lazy-extractors yt-dlp yt-dlp.1 completions
+	install -Dm755 yt-dlp $(DESTDIR)$(BINDIR)/yt-dlp
+	install -Dm644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
 	install -Dm644 completions/bash/yt-dlp $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
 	install -Dm644 completions/zsh/_yt-dlp $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
 	install -Dm644 completions/fish/yt-dlp.fish $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish
@@ -78,12 +78,13 @@
 CONTRIBUTING.md: README.md
 	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md
 
-issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.md .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.md .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.md .github/ISSUE_TEMPLATE_tmpl/4_bug_report.md .github/ISSUE_TEMPLATE_tmpl/5_feature_request.md yt_dlp/version.py
-	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.md .github/ISSUE_TEMPLATE/1_broken_site.md
-	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.md .github/ISSUE_TEMPLATE/2_site_support_request.md
-	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.md .github/ISSUE_TEMPLATE/3_site_feature_request.md
-	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.md .github/ISSUE_TEMPLATE/4_bug_report.md
-	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.md .github/ISSUE_TEMPLATE/5_feature_request.md
+issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml yt_dlp/version.py
+	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE/1_broken_site.yml
+	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE/2_site_support_request.yml
+	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE/3_site_feature_request.yml
+	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE/4_bug_report.yml
+	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml .github/ISSUE_TEMPLATE/5_feature_request.yml
+	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/6_question.yml .github/ISSUE_TEMPLATE/6_question.yml
 
 supportedsites:
 	$(PYTHON) devscripts/make_supportedsites.py supportedsites.md

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/yt-dlp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/yt-dlp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/yt-dlp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/yt-dlp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
yt-dlp (2021.10.22-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release.
  * New upstream release.

 -- Chris <dpkg@chris-nz.com>  Tue, 02 Nov 2021 09:46:16 +1300

youtube-dl (2021.04.07-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Tue, 06 Apr 2021 20:27:09 -0400

youtube-dl (2021.03.25-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 26 Mar 2021 17:33:56 -0400

youtube-dl (2021.02.10-1) unstable; urgency=medium

  * New upstream version 2021.02.10.
  * debian/patches/0002... : Use URL instead of only bug number.
  * debian/control: Update list of extractors (and indicate those broken).
  * debian/README.source: Add one-liner to create list of extractors.

 -- Rogério Brito <rbrito@gmail.com>  Sat, 13 Feb 2021 11:23:06 -0300

youtube-dl (2021.02.04.1-1) unstable; urgency=medium

  * New upstream version 2021.02.04.1. Closes: #979539.
    + Lots of improvements to the core functionality (besides better
      extractors), including robustness for downloads from YouTube. Alas,
      this was achieved by changing to DASH downloads and external/faster
      downloaders (like aria2c or wget) won't get as much use. :(
  * debian/patches: Readapt patches to fix FTBFS.
  * debian/copyright: Extend my copyright years.
  * Update my email address. So long, @ime.usp.br.  It was a pleasure
    using it for over 1/4 of a century. ☹ I wish that I could use it
    indefinitely. Now, I'm looking for a new, "permanent" home.

 -- Rogério Brito <rbrito@gmail.com>  Thu, 04 Feb 2021 20:59:47 -0300

youtube-dl (2021.01.08-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove redundant uupdate from d/watch to make it compatible with
    routine-update
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 08:57:28 +0100

youtube-dl (2020.11.29-1) unstable; urgency=medium

  * New upstream version 2020.11.29.
    + Many improvements to the core library, additional/better support to
      YouTube (including metatada and license for music videos), and
      assorted misc sites.
  * debian/rules: Declare compliance with policy 4.5.1.
  * debian/README.source: Update to ease copy-n-past'ability.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 01 Dec 2020 03:57:13 -0300

youtube-dl (2020.11.21.1-1) unstable; urgency=medium

  * New upstream version 2020.11.21.1.
    + Fixes many infrastructural problems in the core of the module, fixes
      extraction of names from youtube playlists and fixes support for other
      sites. Also, Closes: #972284 (probably the previous version already
      had fixes for this).
  * debian/control: Remove libav-tools alternative of ffmpeg.
    (Closes: #768793)
  * debian/patches:
     + Regenerate from patch-queue.
     + Add patch to disable code-style checks when running tests.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 22 Nov 2020 20:35:11 -0300

youtube-dl (2020.11.12-1) unstable; urgency=medium

  * New upstream version 2020.11.12. Closes: #973575.
    + Fixes problems with YouTube (and a few other sites).
      Closes: #972727, #973842.
  * debian/control: Update list of extractors.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 16 Nov 2020 17:03:36 -0300

youtube-dl (2020.09.20-1) unstable; urgency=medium

  * New upstream version 2020.09.20.
    + More carefully imported than general, since the upstream repository
      (and my fork of it, BTW) were taken down. The signature of the
      original tarball failed to verify said tarball and this required more
      attention/auditing than usual to import the changes to protect our
      fellow Debian users (I'm also a user after all!).
    + Fixes a few problems with sites in general.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 25 Oct 2020 12:54:08 -0300

youtube-dl (2020.09.14-1) unstable; urgency=medium

  * New upstream version 2020.09.14.
    + Fixes problems with YouTube and downloads from Google Drive.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 13 Sep 2020 21:30:13 -0300

youtube-dl (2020.07.28-1) unstable; urgency=medium

  * New upstream version 2020.07.28
    + Fixes problems with some playlists from YouTube (among other things).
  * debian/control: Update list of supported sites.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 10 Aug 2020 13:56:03 -0300

youtube-dl (2020.06.16.1-1) unstable; urgency=medium

  * New upstream version 2020.06.16.1
    + Fixes problems with some metadata from YouTube.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 17 Jun 2020 18:22:20 -0300

youtube-dl (2020.06.16-1) unstable; urgency=medium

  * New upstream version 2020.06.16.
    + Fixes problems when downloading YouTube playlists.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 15 Jun 2020 17:14:11 -0300

youtube-dl (2020.05.08-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Git.

  [ Rogério Brito ]
  * New upstream version 2020.05.08
  * debian/control: Upgrade debhelper-compat to 13.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 13 May 2020 15:37:41 -0300

youtube-dl (2020.03.24-1) unstable; urgency=medium

  [ Unit 193 ]
  * debian/patches:
    + disable-autoupdate-mechanism.patch: Extend to clean up errant import
      and README clobber on clean.
    + disable_more_online_tests.patch: Disable remaining tests that require
      internet.
  * debian/control:
    + Build-depend on flake8 and python3-nose.
  * debian/rules:
    + Drop makefile mangling
    + Run offline tests.

  [ Rogério Brito ]
  * New upstream version 2020.03.24 (Closes: #950163, #954875)
  * debian/patches:
    + Add patch to skip style checks from flake8 during test.
  * debian/control:
    + State compliancy with policy 4.5.0 (no further changes needed).


=== debian/control ===
Source: yt-dlp
Maintainer: Rogério Brito <rbrito@gmail.com>
Section: web
Priority: optional
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 dh-exec,
 dh-python,
 flake8 <!nocheck>,
 pandoc,
 python3-nose <!nocheck>,
 python3-pkg-resources,
 python3-setuptools,
 zip
Build-Depends-Indep:
 python3
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://github.com/rbrito/pkg-youtube-dl
Vcs-Git: https://github.com/rbrito/pkg-youtube-dl.git
Homepage: https://ytdl-org.github.io/youtube-dl/

Package: yt-dlp
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg,
 mpv | mplayer,
 python3-pyxattr,
 rtmpdump
Suggests:
 libfribidi-bin | bidiv,
 phantomjs
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1tv,
 20min,
 220.ro,
 23video,
 24video,
 3qsdn,
 3sat,
 4tube,
 56.com,
 5min,
 6play,
 7plus,
 8tracks,
 91porn,
 9c9media,
 9gag,
 9now.com.au,
 abc.net.au,
 abc.net.au:iview,
 abcnews,
 abcnews:video,
 abcotvs,
 abcotvs:clips,
 AcademicEarth:Course,
 acast,
 acast:channel,
 ADN,
 AdobeConnect,
 adobetv,
 adobetv:channel,
 adobetv:embed,
 adobetv:show,
 adobetv:video,
 AdultSwim,
 aenetworks,
 aenetworks:collection,
 aenetworks:show,
 afreecatv,
 AirMozilla,
 AliExpressLive,
 AlJazeera,
 Allocine,
 AlphaPorno,
 Amara,
 AMCNetworks,
 AmericasTestKitchen,
 AmericasTestKitchenSeason,
 anderetijden,
 AnimeOnDemand,
 Anvato,
 aol.com,
 APA,
 Aparat,
 AppleConnect,
 AppleDaily,
 ApplePodcasts,
 appletrailers,
 appletrailers:section,
 archive.org,
 ArcPublishing,
 ARD,
 ARD:mediathek,
 ARDBetaMediathek,
 Arkena,
 arte.sky.it,
 ArteTV,
 ArteTVEmbed,
 ArteTVPlaylist,
 AsianCrush,
 AsianCrushPlaylist,
 AtresPlayer,
 ATTTechChannel,
 ATVAt,
 AudiMedia,
 AudioBoom,
 audiomack,
 audiomack:album,
 AWAAN,
 awaan:live,
 awaan:season,
 awaan:video,
 AZMedien,
 BaiduVideo,
 Bandcamp,
 Bandcamp:album,
 Bandcamp:weekly,
 bangumi.bilibili.com,
 bbc,
 bbc.co.uk,
 bbc.co.uk:article,
 bbc.co.uk:iplayer:playlist,
 bbc.co.uk:playlist,
 BBVTV,
 Beatport,
 Beeg,
 BehindKink,
 Bellator,
 BellMedia,
 Bet,
 bfi:player,
 bfmtv,
 bfmtv:article,
 bfmtv:live,
 BibelTV,
 Bigflix,
 Bild,
 BiliBili,
 BilibiliAudio,
 BilibiliAudioAlbum,
 BiliBiliPlayer,
 BioBioChileTV,
 Biography,
 BIQLE,
 BitChute,
 BitChuteChannel,
 BleacherReport,
 BleacherReportCMS,
 blinkx,
 Bloomberg,
 BokeCC,
 BongaCams,
 BostonGlobe,
 Box,
 Bpb,
 BR,
 BravoTV,
 Break,
 brightcove:legacy,
 brightcove:new,
 BRMediathek,
 bt:article,
 bt:vestlendingen,
 BusinessInsider,
 BuzzFeed,
 BYUtv,
 Camdemy,
 CamdemyFolder,
 CamModels,
 CamTube,
 CamWithHer,
 canalc2.tv,
 Canalplus,
 Canvas,
 CanvasEen,
 CarambaTV,
 CarambaTVPage,
 CartoonNetwork,
 cbc.ca,
 cbc.ca:olympics,
 cbc.ca:player,
 cbc.ca:watch,
 cbc.ca:watch:video,
 CBS,
 CBSInteractive,
 CBSLocal,
 CBSLocalArticle,
 cbsnews,
 cbsnews:embed,
 cbsnews:livevideo,
 CBSSports,
 CCMA,
 CCTV,
 CDA,
 CeskaTelevize,
 CeskaTelevizePorady,
 channel9,
 CharlieRose,
 Chaturbate,
 Chilloutzone,
 chirbit,
 chirbit:profile,
 cielotv.it,
 Cinchcast,
 Cinemax,
 CiscoLiveSearch,
 CiscoLiveSession,
 CJSW,
 cliphunter,
 Clippit,
 ClipRs,
 Clipsyndicate,
 CloserToTruth,
 CloudflareStream,
 Cloudy,
 Clubic,
 Clyp,
 cmt.com,
 CNBC,
 CNBCVideo,
 CNN,
 CNNArticle,
 CNNBlogs,
 ComedyCentral,
 ComedyCentralTV,
 CommonMistakes,
 CondeNast,
 CONtv,
 Corus,
 Coub,
 Cracked,
 Crackle,
 CrooksAndLiars,
 crunchyroll,
 crunchyroll:playlist,
 CSpan,
 CtsNews,
 CTV,
 CTVNews,
 cu.ntv.co.jp,
 Culturebox,
 CultureUnplugged,
 curiositystream,
 curiositystream:collection,
 CWTV,
 DailyMail,
 dailymotion,
 dailymotion:playlist,
 dailymotion:user,
 daum.net,
 daum.net:clip,
 daum.net:playlist,
 daum.net:user,
 DBTV,
 DctpTv,
 DeezerPlaylist,
 defense.gouv.fr,
 democracynow,
 DHM,
 Digg,
 DigitallySpeaking,
 Digiteka,
 Discovery,
 DiscoveryGo,
 DiscoveryGoPlaylist,
 DiscoveryNetworksDe,
 DiscoveryVR,
 Disney,
 dlive:stream,
 dlive:vod,
 Dotsub,
 DouyuShow,
 DouyuTV,
 DPlay,
 DRBonanza,
 Dropbox,
 DrTuber,
 drtv,
 drtv:live,
 DTube,
 Dumpert,
 dvtv,
 dw,
 dw:article,
 EaglePlatform,
 EbaumsWorld,
 EchoMsk,
 egghead:course,
 egghead:lesson,
 ehftv,
 eHow,
 EinsUndEinsTV,
 Einthusan,
 eitb.tv,
 EllenTube,
 EllenTubePlaylist,
 EllenTubeVideo,
 ElPais,
 Embedly,
 EMPFlix,
 Engadget,
 Eporner,
 EroProfile,
 Escapist,
 ESPN,
 ESPNArticle,
 EsriVideo,
 Europa,
 EWETV,
 ExpoTV,
 Expressen,
 ExtremeTube,
 EyedoTV,
 facebook,
 FacebookPluginsVideo,
 faz.net,
 fc2,
 fc2:embed,
 Fczenit,
 filmon,
 filmon:channel,
 Filmweb,
 FiveThirtyEight,
 FiveTV,
 Flickr,
 Folketinget,
 FootyRoom,
 Formula1,
 FOX,
 FOX9,
 FOX9News,
 Foxgay,
 foxnews,
 foxnews:article,
 FoxSports,
 france2.fr:generation-what,
 FranceCulture,
 FranceInter,
 FranceTV,
 FranceTVEmbed,
 francetvinfo.fr,
 FranceTVJeunesse,
 FranceTVSite,
 Freesound,
 freespeech.org,
 FreshLive,
 FrontendMasters,
 FrontendMastersCourse,
 FrontendMastersLesson,
 FujiTVFODPlus7,
 Funimation,
 Funk,
 Fusion,
 Fux,
 Gaia,
 GameInformer,
 GameSpot,
 GameStar,
 Gaskrank,
 Gazeta,
 GDCVault,
 generic,
 Gfycat,
 GiantBomb,
 Giga,
 GlattvisionTV,
 Glide,
 Globo,
 GloboArticle,
 Go,
 GodTube,
 Golem,
 google:podcasts,
 google:podcasts:feed,
 GoogleDrive,
 Goshgay,
 GPUTechConf,
 Groupon,
 hbo,
 HearThisAt,
 Heise,
 HellPorno,
 Helsinki,
 HentaiStigma,
 hetklokhuis,
 hgtv.com:show,
 HiDive,
 HistoricFilms,
 history:player,
 history:topic,
 hitbox,
 hitbox:live,
 HitRecord,
 hketv,
 HornBunny,
 HotNewHipHop,
 hotstar,
 hotstar:playlist,
 Howcast,
 HowStuffWorks,
 HRTi,
 HRTiPlaylist,
 Huajiao,
 HuffPost,
 Hungama,
 HungamaSong,
 Hypem,
 ign.com,
 IGNArticle,
 IGNVideo,
 IHeartRadio,
 iheartradio:podcast,
 imdb,
 imdb:list,
 Imgur,
 imgur:album,
 imgur:gallery,
 Ina,
 Inc,
 IndavideoEmbed,
 InfoQ,
 Instagram,
 instagram:tag,
 instagram:user,
 Internazionale,
 InternetVideoArchive,
 IPrima,
 iqiyi,
 Ir90Tv,
 ITTF,
 ITV,
 ITVBTCC,
 ivi,
 ivi:compilation,
 ivideon,
 Iwara,
 Izlesene,
 Jamendo,
 JamendoAlbum,
 JeuxVideo,
 Joj,
 Jove,
 JWPlatform,
 Kakao,
 Kaltura,
 Kankan,
 Karaoketv,
 KarriereVideos,
 Katsomo,
 KeezMovies,
 Ketnet,
 khanacademy,
 khanacademy:unit,
 KickStarter,
 KinjaEmbed,
 KinoPoisk,
 KonserthusetPlay,
 KrasView,
 Ku6,
 KUSI,
 kuwo:album,
 kuwo:category,
 kuwo:chart,
 kuwo:mv,
 kuwo:singer,
 kuwo:song,
 la7.it,
 laola1tv,
 laola1tv:embed,
 lbry,
 lbry:channel,
 LCI,
 Lcp,
 LcpPlay,
 Le,
 Lecture2Go,
 Lecturio,
 LecturioCourse,
 LecturioDeCourse,
 LEGO,
 Lemonde,
 Lenta,
 LePlaylist,
 LetvCloud,
 Libsyn,
 life,
 life:embed,
 limelight,
 limelight:channel,
 limelight:channel_list,
 LineTV,
 linkedin:learning,
 linkedin:learning:course,
 LinuxAcademy,
 LiTV,
 LiveJournal,
 LiveLeak,
 LiveLeakEmbed,
 livestream,
 livestream:original,
 livestream:shortener,
 LnkGo,
 loc,
 LocalNews8,
 LoveHomePorn,
 lrt.lt,
 lynda,
 lynda:course,
 m6,
 mailru,
 mailru:music,
 mailru:music:search,
 MallTV,
 mangomolo:live,
 mangomolo:video,
 ManyVids,
 Markiza,
 MarkizaPage,
 massengeschmack.tv,
 MatchTV,
 MDR,
 MedalTV,
 media.ccc.de,
 media.ccc.de:lists,
 Medialaan,
 Mediaset,
 Mediasite,
 MediasiteCatalog,
 MediasiteNamedCatalog,
 Medici,
 megaphone.fm,
 Meipai,
 MelonVOD,
 META,
 metacafe,
 Metacritic,
 mewatch,
 Mgoon,
 MGTV,
 MiaoPai,
 minds,
 minds:channel,
 minds:group,
 MinistryGrid,
 Minoto,
 miomio.tv,
 MiTele,
 mixcloud,
 mixcloud:playlist,
 mixcloud:user,
 MLB,
 Mms,
 Mnet,
 MNetTV,
 MoeVideo,
 Mofosex,
 MofosexEmbed,
 Mojvideo,
 Morningstar,
 Motherless,
 MotherlessGroup,
 Motorsport,
 MovieClips,
 MovieFap,
 Moviezine,
 MovingImage,
 MSN,
 mtg,
 mtv,
 mtv.de,
 mtv:video,
 mtvjapan,
 mtvservices:embedded,
 MTVUutisetArticle,
 MuenchenTV,
 mva,
 mva:course,
 Mwave,
 MwaveMeetGreet,
 MyChannels,
 MySpace,
 MySpace:album,
 MySpass,
 Myvi,
 MyVidster,
 MyviEmbed,
 MyVisionTV,
 n-tv.de,
 natgeo:video,
 NationalGeographicTV,
 Naver,
 NBA,
 nba:watch,
 nba:watch:collection,
 NBAChannel,
 NBAEmbed,
 NBAWatchEmbed,
 NBC,
 NBCNews,
 nbcolympics,
 nbcolympics:stream,
 NBCSports,
 NBCSportsStream,
 NBCSportsVPlayer,
 ndr,
 ndr:embed,
 ndr:embed:base,
 NDTV,
 NerdCubedFeed,
 netease:album,
 netease:djradio,
 netease:mv,
 netease:playlist,
 netease:program,
 netease:singer,
 netease:song,
 NetPlus,
 Netzkino,
 Newgrounds,
 NewgroundsPlaylist,
 Newstube,
 NextMedia,
 NextMediaActionNews,
 NextTV,
 Nexx,
 NexxEmbed,
 nfl.com (CURRENTLY BROKEN),
 nfl.com:article (CURRENTLY BROKEN),
 NhkVod,
 NhkVodProgram,
 nhl.com,
 nick.com,
 nick.de,
 nickelodeon:br,
 nickelodeonru,
 nicknight,
 niconico,
 NiconicoPlaylist,
 Nintendo,
 njoy,
 njoy:embed,
 NJPWWorld,
 NobelPrize,
 NonkTube,
 Noovo,
 Normalboots,
 NosVideo,
 Nova,
 NovaEmbed,
 nowness,
 nowness:playlist,
 nowness:series,
 Noz,
 npo,
 npo.nl:live,
 npo.nl:radio,
 npo.nl:radio:fragment,
 Npr,
 NRK,
 NRKPlaylist,
 NRKRadioPodkast,
 NRKSkole,
 NRKTV,
 NRKTVDirekte,
 NRKTVEpisode,
 NRKTVEpisodes,
 NRKTVSeason,
 NRKTVSeries,
 NRLTV,
 ntv.ru,
 Nuvid,
 NYTimes,
 NYTimesArticle,
 NYTimesCooking,
 NZZ,
 ocw.mit.edu,
 OdaTV,
 Odnoklassniki,
 OktoberfestTV,
 OnDemandKorea,
 onet.pl,
 onet.tv,
 onet.tv:channel,
 OnetMVP,
 OnionStudios,
 Ooyala,
 OoyalaExternal,
 OraTV,
 orf:burgenland,
 orf:fm4,
 orf:fm4:story,
 orf:iptv,
 orf:kaernten,
 orf:noe,
 orf:oberoesterreich,
 orf:oe1,
 orf:oe3,
 orf:salzburg,
 orf:steiermark,
 orf:tirol,
 orf:tvthek,
 orf:vorarlberg,
 orf:wien,
 OsnatelTV,
 OutsideTV,
 PacktPub,
 PacktPubCourse,
 pandora.tv,
 ParamountNetwork,
 parliamentlive.tv,
 Patreon,
 pbs,
 PearVideo,
 PeerTube,
 People,
 PerformGroup,
 periscope,
 periscope:user,
 PhilharmonieDeParis,
 phoenix.de,
 Photobucket,
 Picarto,
 PicartoVod,
 Piksel,
 Pinkbike,
 Pinterest,
 PinterestCollection,
 Pladform,
 Platzi,
 PlatziCourse,
 play.fm,
 player.sky.it,
 PlayPlusTV,
 PlaysTV,
 Playtvak,
 Playvid,
 Playwire,
 pluralsight,
 pluralsight:course,
 podomatic,
 Pokemon,
 PolskieRadio,
 PolskieRadioCategory,
 Popcorntimes,
 PopcornTV,
 PornCom,
 PornerBros,
 PornHd,
 PornHub,
 PornHubPagedVideoList,
 PornHubUser,
 PornHubUserVideosUpload,
 Pornotube,
 PornoVoisines,
 PornoXO,
 PornTube,
 PressTV,
 prosiebensat1,
 puhutv,
 puhutv:serie,
 Puls4,
 Pyvideo,
 qqmusic,
 qqmusic:album,
 qqmusic:playlist,
 qqmusic:singer,
 qqmusic:toplist,
 QuantumTV,
 Qub,
 Quickline,
 QuicklineLive,
 R7,
 R7Article,
 radio.de,
 radiobremen,
 radiocanada,
 radiocanada:audiovideo,
 radiofrance,
 RadioJavan,
 Rai,
 RaiPlay,
 RaiPlayLive,
 RaiPlayPlaylist,
 RayWenderlich,
 RayWenderlichCourse,
 RBMARadio,
 RDS,
 RedBull,
 RedBullEmbed,
 RedBullTV,
 RedBullTVRrnContent,
 Reddit,
 RedditR,
 RedTube,
 RegioTV,
 RENTV,
 RENTVArticle,
 Restudy,
 Reuters,
 ReverbNation,
 RICE,
 RMCDecouverte,
 RockstarGames,
 RoosterTeeth,
 RottenTomatoes,
 Roxwel,
 Rozhlas,
 RTBF,
 rte,
 rte:radio,
 rtl.nl,
 rtl2,
 rtl2:you,
 rtl2:you:series,
 Rtmp,
 RTP,
 RTS,
 rtve.es:alacarta,
 rtve.es:infantil,
 rtve.es:live,
 rtve.es:television,
 RTVNH,
 RTVS,
 RUHD,
 RumbleEmbed,
 rutube,
 rutube:channel,
 rutube:embed,
 rutube:movie,
 rutube:person,
 rutube:playlist,
 RUTV,
 Ruutu,
 Ruv,
 safari,
 safari:api,
 safari:course,
 SAKTV,
 SaltTV,
 Sapo,
 savefrom.net,
 SBS,
 schooltv,
 screen.yahoo:search,
 Screencast,
 ScreencastOMatic,
 ScrippsNetworks,
 scrippsnetworks:watch,
 SCTE,
 SCTECourse,
 Seeker,
 SenateISVP,
 SendtoNews,
 Servus,
 Sexu,
 SeznamZpravy,
 SeznamZpravyArticle,
 Shahid,
 ShahidShow,
 Shared,
 ShowRoomLive,
 Sina,
 sky.it,
 sky:news,
 sky:sports,
 sky:sports:news,
 skyacademy.it,
 SkylineWebcams,
 skynewsarabia:article,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = youtube_dl
export PATH := $(CURDIR)/debian/utils:$(PATH)

%:
	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

override_dh_auto_configure:
	PREFIX=/usr SYSCONFDIR=/etc make
	rm yt-dlp

override_dh_clean:
	make clean
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make offlinetest PYTHON=python3
endif

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
https://github.com/yt-dlp/yt-dlp/releases \
     (?:.*?/)?(\d[\d.]*)\.tar\.gz

## yt-dlp 2021.11.10.1

=== debian/changelog ===
yt-dlp (2021.11.10.1-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Break, replace, and provide youtube-dl, plus symlink it to yt-dlp.
  * Make all recommended packages explicit dependencies except for mpv/mplayer.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Nov 2021 11:33:00 -0800

yt-dlp (2021.11.10.1-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Unit 193 <unit193@unit193.net>  Wed, 10 Nov 2021 01:32:04 -0500

yt-dlp (2021.10.22-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Unit 193 <unit193@unit193.net>  Sat, 23 Oct 2021 22:03:30 -0400

yt-dlp (2021.10.10-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Unit 193 <unit193@unit193.net>  Sun, 10 Oct 2021 01:03:44 -0400

yt-dlp (2021.09.25-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@unit193.net>  Sat, 25 Sep 2021 12:23:46 -0400

yt-dlp (2021.09.02-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@unit193.net>  Wed, 01 Sep 2021 22:29:06 -0400

yt-dlp (2021.08.10-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@unit193.net>  Tue, 10 Aug 2021 23:08:59 -0400

yt-dlp (2021.08.02-0vanir1) unstable; urgency=medium

  * Package fork of youtube-dl, yt-dlp.

 -- Unit 193 <unit193@unit193.net>  Mon, 09 Aug 2021 03:16:13 -0400

youtube-dl (2021.06.06-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Mon, 07 Jun 2021 13:58:50 -0400

youtube-dl (2021.05.16-0vanir1) unstable; urgency=medium

  * New upstream release.
  * Merge from Debian, remaining changes:
    - d/rules:
      + Add a makefile target to update supported sites in d/control.
      + Clean CONTRIBUTING.md after build.
    - d/watch: Re-add uupdate option.

 -- Unit 193 <unit193@debian.org>  Sun, 16 May 2021 23:33:01 -0400

youtube-dl (2021.04.26-1) experimental; urgency=medium

  * New upstream version
  * Point VCS fields to Salsa, where packaging will happening now

 -- Andreas Tille <tille@debian.org>  Thu, 13 May 2021 06:49:48 +0200

youtube-dl (2021.02.10-2) experimental; urgency=medium

  * Taking over this package in silent remembrance to Rogério de Brito
  * debian/README.source
     - Remove redundant parts and now outdated parts
     - Mention the loss of Rogério

 -- Andreas Tille <tille@debian.org>  Sat, 08 May 2021 20:55:55 +0200

youtube-dl (2021.04.26-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sun, 25 Apr 2021 21:47:32 -0400

youtube-dl (2021.04.17-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sat, 17 Apr 2021 05:03:24 -0400

youtube-dl (2021.04.07-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Tue, 06 Apr 2021 18:23:34 -0400

youtube-dl (2021.04.01-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Wed, 31 Mar 2021 22:31:30 -0400

youtube-dl (2021.03.25-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Thu, 25 Mar 2021 05:50:20 -0400

youtube-dl (2021.03.14-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sun, 14 Mar 2021 20:50:14 -0400

youtube-dl (2021.03.03-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Thu, 04 Mar 2021 04:15:16 -0500

youtube-dl (2021.03.02-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Mon, 01 Mar 2021 23:29:54 -0500

youtube-dl (2021.02.22-0vanir1) unstable; urgency=medium

  * New upstream release.
  * Merge from Debian, remaining changes:
    - d/rules:
      + Add a makefile target to update supported sites in d/control.
      + Clean CONTRIBUTING.md after build.
    - d/watch: Re-add uupdate option.

 -- Unit 193 <unit193@debian.org>  Mon, 22 Feb 2021 18:20:12 -0500

youtube-dl (2021.02.10-0vanir1) unstable; urgency=medium

  * New upstream release.
  * Merge from Debian, remaining changes:
    - d/rules:
      + Add a makefile target to update supported sites in d/control.
      + Clean CONTRIBUTING.md after build.
    - d/watch: Re-add uupdate option.

 -- Unit 193 <unit193@debian.org>  Wed, 10 Feb 2021 17:37:02 -0500

youtube-dl (2021.02.04.1-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Thu, 04 Feb 2021 04:22:12 -0500

youtube-dl (2021.01.24.1-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Unit 193 <unit193@debian.org>  Sun, 24 Jan 2021 19:46:10 -0500

youtube-dl (2021.01.16-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sun, 17 Jan 2021 20:39:54 -0500

youtube-dl (2021.01.08-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Mon, 11 Jan 2021 06:29:30 -0500

youtube-dl (2021.01.03-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sun, 03 Jan 2021 13:56:59 -0500

youtube-dl (2020.12.31-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Thu, 31 Dec 2020 02:53:34 -0500

youtube-dl (2020.12.26-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sat, 26 Dec 2020 16:03:12 -0500

youtube-dl (2020.12.22-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Tue, 22 Dec 2020 15:18:47 -0500

youtube-dl (2020.12.14-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sun, 13 Dec 2020 21:08:56 -0500

youtube-dl (2020.12.12-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sat, 12 Dec 2020 14:37:32 -0500
